org.bdgenomics.adam.sql

# Feature

###
Related Docs: object Feature | package sql

#### class Feature extends Product

Linear Supertypes
Product, Equals, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Feature
2. Product
3. Equals
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new Feature(featureId: Option[String], name: Option[String], source: Option[String], featureType: Option[String], contigName: Option[String], start: Option[Long], end: Option[Long], strand: Option[String], phase: Option[Int], frame: Option[Int], score: Option[Double], geneId: Option[String], transcriptId: Option[String], exonId: Option[String], aliases: Seq[String], parentIds: Seq[String], target: Option[String], gap: Option[String], derivesFrom: Option[String], notes: Seq[String], dbxrefs: Seq[Dbxref], ontologyTerms: Seq[OntologyTerm], circular: Option[Boolean], attributes: Map[String, String])

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### val aliases: Seq[String]

5. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

6. #### val attributes: Map[String, String]

7. #### def canEqual(that: Any): Boolean

   Definition Classes
     Feature → Equals

8. #### val circular: Option[Boolean]

9. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

10. #### val contigName: Option[String]

11. #### val dbxrefs: Seq[Dbxref]

12. #### val derivesFrom: Option[String]

13. #### val end: Option[Long]

14. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

15. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

16. #### val exonId: Option[String]

17. #### val featureId: Option[String]

18. #### val featureType: Option[String]

19. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

20. #### val frame: Option[Int]

21. #### val gap: Option[String]

22. #### val geneId: Option[String]

23. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

24. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

25. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

26. #### val name: Option[String]

27. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

28. #### val notes: Seq[String]

29. #### final def notify(): Unit

    Definition Classes
      AnyRef

30. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

31. #### val ontologyTerms: Seq[OntologyTerm]

32. #### val parentIds: Seq[String]

33. #### val phase: Option[Int]

34. #### def productArity: Int

    Definition Classes
      Feature → Product

35. #### def productElement(i: Int): Any

    Definition Classes
      Feature → Product

36. #### def productIterator: Iterator[Any]

    Definition Classes
      Product

37. #### def productPrefix: String

    Definition Classes
      Product

38. #### val score: Option[Double]

39. #### val source: Option[String]

40. #### val start: Option[Long]

41. #### val strand: Option[String]

42. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

43. #### val target: Option[String]

44. #### def toAvro: formats.avro.Feature

45. #### def toString(): String

    Definition Classes
      AnyRef → Any

46. #### val transcriptId: Option[String]

47. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

48. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

49. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Ungrouped